﻿@model GarageMaster.Models.Forum.TopicModels.TopicCreateModel

@{
    ViewData["Title"] = "CreateTopic";
}

<h1>CreateTopic</h1>

<h4>TopicCreateModel</h4>
<hr />
<div class="row">
    <form asp-action="CreateTopic" method="post" enctype="multipart/form-data">
        <div class="col-md-5">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="TopicTitle" class="control-label"></label>
                <input asp-for="TopicTitle" class="form-control" />
                <span asp-validation-for="TopicTitle" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-10">
            <div class="form-group">
                <label asp-for="TopicContent" class="control-label"></label>
                <textarea asp-for="TopicContent" class="form-control" id="newTopicCreate"></textarea>
                <span asp-validation-for="TopicContent" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-5">
            <div class="form-group">
                <label asp-for="Images" class="control-label"></label>
                <input asp-for="Images" type="file" multiple="multiple" accept="image/*" class="form-control" />
                <span asp-validation-for="Images" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </div>
    </form>
</div>
<hr />
<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

    <script src="~/lib/ckeditor4-full/ckeditor.js"></script>
    <script>
        $(function () {
            CKEDITOR.replace('newTopicCreate');
        });
    </script>
}